Video Projects
Resolve a Video Project conflict branch
Keep the current head or promote the preserved conflict branch as a new head revision.
POST
/video-projects/{id}/conflicts/{conflict_id}/resolveAuthorization
bearerAuth AuthorizationBearer <token>
In: header
Path Parameters
id*string
Video project ID
conflict_id*string
Conflict branch ID
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
curl -X POST "https://example.com/video-projects/string/conflicts/string/resolve" \ -H "Content-Type: application/json" \ -d '{ "resolution": "keep_current", "workspace_id": "string" }'{ "$schema": "https://example.com/api/v1/schemas/VideoProjectResponse.json", "attention_reason": "string", "created_at": "string", "created_by_user_id": "string", "document": { "property1": null, "property2": null }, "head_revision": 0, "id": "string", "name": "string", "preview_object_key": "string", "retention_expires_at": "string", "sync_status": "pending", "trashed_at": "string", "updated_at": "string", "updated_by_user_id": "string", "workspace_id": "string"}